@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;

}

::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

html,
body {
    background-color: white;
    width: 100%;
    height: 100%;
}

.grid {
    display: flex;
    width: 100%;
    /* height: 100%; */
    height: 90vh;
    background-color: white;
    gap: 20px;
    padding: 20px;
}

.column {
    height: 100%;
    width: var(--w);
    border: 1px solid var(--c);
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.row {
    height: var(--h);
    border: 1px solid var(--c);
    width: 100%;
    display: flex;
    border-radius: 10px;
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.30) 0px 3px 8px;
}

.container {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 20px;
    gap: 20px;
}


.container-terminal {
    justify-content: center;
    align-items: baseline;
}

.container-textarea {
    border: 1px solid black;
    display: flex;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    padding: 10px 20px;
}

.container-poll {
    gap: 20px;
    width: 20%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.container-poll-2 {
    gap: 20px;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;

}

.container-poll-interval {
    position: relative;
    border-radius: 10px;
    flex-direction: row;
}

.container-connect-board {
    gap: 20px;
}

.container-connect {
    position: relative;
    border-radius: 10px;
    padding: 20px;
}

.container-board {
    position: relative;
    border-radius: 10px;
    padding: 20px;
    flex-direction: row;
}

.container-board-editor {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.container-response {
    flex-direction: column;
}

.container-hyperlinks {
    flex-direction: column;
}

.title {
    position: absolute;
    background-color: #ffffff00;
    top: -15px;
    left: 30px;
    font-size: 20px;
    padding: 0px 10px;
}

.btn {
    padding: 10px;
    border: 1px solid black;
    border-radius: 5px;
    background-color: white;
    font-size: 1.1vw;
    cursor: pointer;
}

.btn:hover {
    background-color: #e7e7e7;
    transition: 0.1s;
}

.btn-connect {
    width: 100%;
    height: 100%;
}

.btn-send {
    width: 20%;
    height: 100%;
}

.btn-poll {
    width: 100%;
    height: 100%;
}

.btn-hyperlinks {
    width: 100%;
    height: 10%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    color: #000;
    text-decoration: none;
}

.btn-hyperlinks-selected {
    background-color: red;
    color: white;
}

.btn-hyperlinks-selected:hover {
    background-color: red;
    color: white;
}

.btn-clear {
    width: 100%;
}

.btn-add {
    height: 45%;
}

.btn-delete {
    height: 45%;
}

.input {
    width: 100%;
    border: 1px solid black;
    text-align: LEFT;
    padding: 10px;
    font-size: 18px;
    border-radius: 5px;
}

.input-terminal {
    height: 100%;
}

.input-interval {
    height: 20%;
}

.textarea {
    resize: none;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 5px;
    overflow: auto;
    width: 100%;
    font-size: 18px;
    outline: none;
}

.p-interval {
    font-size: 18px;
    text-align: left;
}

.select-board {
    width: 50%;
    height: 100%;
    font-size: 18px;
    padding: 10px;
    border-radius: 5px;
}

.select-board option {
    padding: 5px 10px;
}

.select-board option:hover {
    background-color: #555;
    color: white;
    cursor: pointer;
}

.layout-linear {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-auto-flow: column;
    width: 100%;
    height: 100%;
    gap: 20px;
}

.linear-item {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(0, 0, 0, 0.8);
    padding: 20px;
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    cursor: pointer;
}

.linear-item:hover {
    background-color: #555;
    color: white;
    transition: 0.1s;
}

.layout-matrix {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-auto-flow: column;
    width: 100%;
    height: 100%;
    gap: 20px;
}

.matrix-item {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(0, 0, 0, 0.8);
    padding: 10px;
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    cursor: pointer;
}

.matrix-item:hover {
    background-color: #555;
    color: white;
    transition: 0.1s;
}

.layout-shortcut {
    display: grid;
    grid-template-columns: auto auto auto auto auto;
    width: 100%;
    height: 100%;
    gap: 20px;
}

.shortcut-item {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(0, 0, 0, 0.8);
    padding: 10px;
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    cursor: pointer;
}

.shortcut-item:hover {
    background-color: #555;
    color: white;
    transition: 0.1s;
}

.content {
    text-align: center;
    max-width: 1000%;
    margin: 0px auto;
    padding: 110px 20px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}